net.i2p.router.web.helpers

## Class ProfilesHelper

- java.lang.Object
- - net.i2p.router.web.HelperBase
  - - net.i2p.router.web.helpers.ProfilesHelper

-     public class ProfilesHelper
      extends HelperBase

  Helper for peer profiles page rendering and form processing.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.web.HelperBase

      `_context, _out, CHECKED, PROP_ADVANCED, SELECTED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfilesHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `allowGraphical()` call for non-text-mode browsers
    `String` | `getBanlistCompact()`
    `String` | `getBanlistSummary()`
    `String` | `getProfileSummary()`
    `String` | `getSummary()`
    `void` | `setFull(String f)`

    - ### Methods inherited from class net.i2p.router.web.HelperBase

      `_t, _t, _t, _x, getChecked, getCheckedDefaultTrue, isAdvanced, ngettext, setContextId, storeWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfilesHelper

          public ProfilesHelper()

  - ### Method Detail

    - #### allowGraphical

          public void allowGraphical()

      call for non-text-mode browsers

    - #### getBanlistCompact

          public String getBanlistCompact()

      Returns:
        empty string, writes directly to _out

    - #### getBanlistSummary

          public String getBanlistSummary()

      Returns:
        empty string, writes directly to _out

    - #### getProfileSummary

          public String getProfileSummary()

      Returns:
        empty string, writes directly to _out

    - #### getSummary

          public String getSummary()

      Returns:
        empty string, writes directly to _out

    - #### setFull

          public void setFull(String f)